Results 1 to 7 of 7

Thread: Upgrade LEAP 15.2 to 15.3

  1. #1
    Join Date
    Oct 2013
    Location
    Luxembourg
    Posts
    34

    Post Upgrade LEAP 15.2 to 15.3

    Hi all,
    In case it might help people wanting to upgrade opensuse Leap 15.2 to 15.3.. here are my steps:
    (already did it on my laptop and another PC):
    -- do it at your own risk

    AS USUAL: BACKUP your things.. just in case!! I will say this again: BACKUP! BACKUP!!

    root command line (runlevel 3 or 5 if needed)

    1) Make sure your 15.2 is up-to-date:
    Code:
    # zypper refresh
    Code:
    # zypper update
    -- reboot if necessary

    2) disable other repos:
    Code:
    # zypper repos -d -E
    Code:
    # zypper mr --disable X
    -- where X is the repo number or repo name/alias (you might want to take note of this -- see point 7)
    -- repeat this command for all non opensuse repos.. and you should end up with something like this:

    Code:
    # zypper repos -d -E
    ...
    ...OpenSUSE Non-OSS Repository...
    ...OpenSUSE Main Repository...
    ...OpenSUSE Main Update Repository...
    ...OpenSUSE Update Repository (Non-Oss)...
    ...

    3) make sure your repos are not hardcoded (the version) but have the $releasever parameter
    -- if the version 15.2 is hardcoded, it's a good time to fix it

    4) download and upgrade
    Code:
    # zypper --releasever=15.3 ref
    Code:
    # zypper --releasever=15.3 dup --download-in-advance --allow-vendor-change
    (changed by Sauerland, added --allow-vendor-change see post #5)

    --downloads about 2.6 GB.. (I prefer the download in advance so that it downloads everything and only after the upgrade starts)

    5) reboot
    Code:
     # reboot
    6) after the reboot, check for updates.. there might be a few..
    Code:
    # zypper refresh
    Code:
    # zypper update
    7) enable again the disabled repos of point 2
    Code:
    # zypper repos -d
    Code:
    # zypper mr --enable X
    -- ! be aware that the repo numbers X might have changed from point 2 !

    that's it! all done!

    hope it helps

    I had no problems with the upgrade.
    Last edited by Sauerland; 10-Jun-2021 at 22:54.

  2. #2
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    23,105
    Blog Entries
    1

    Default Re: Upgrade LEAP 15.2 to 15.3

    As this is not a request for help, it will be moved to our "Unreviewed How To and FAQ" sub-forum.
    openSUSE Leap 15.2; KDE Plasma 5

  3. #3
    Join Date
    Apr 2013
    Location
    Sydney, AU
    Posts
    265

    Default Re: Upgrade LEAP 15.2 to 15.3

    Quote Originally Posted by ru1marante View Post
    Hi all,
    In case it might help people wanting to upgrade opensuse Leap 15.2 to 15.3.. here are my steps:
    (already did it on my laptop and another PC):
    -- do it at your own risk

    ...<clip>...

    I had no problems with the upgrade.

    You did not mention whether or not you were presented with a list of conflicts that needed to be manually addressed? I get a list of 285 of them!!?? I must have done something wrong but am unable to determine it.

    Any suggestion would be more than welcomed!



    Code:
    jedaa (su #) zypper repos -d -E           
    #  | Alias               | Name                        | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                               | Service
    ---+---------------------+-----------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------+--------
    12 | repo-non-oss        | Non-OSS Repository          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/non-oss/ |  
    13 | repo-oss            | Main Repository             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/oss/     |  
    14 | repo-update         | Main Update Repository      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/oss                 |  
    15 | repo-update-non-oss | Update Repository (Non-Oss) | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/non-oss/            | 
    
    

    Code:
    jedaa (su #) zypper lr -u |  awk -F'|' '$4 ~ /Yes/ { gsub (" ", "", $2); r="/etc/zypp/repos.d/"$2".repo"; print "nFile: " r; system("cat " r) }'
    nFile: /etc/zypp/repos.d/repo-non-oss.repo
    [repo-non-oss]
    name=Non-OSS Repository
    enabled=1
    autorefresh=1
    baseurl=http://download.opensuse.org/distribution/leap/$releasever/repo/non-oss/
    path=/
    type=rpm-md
    keeppackages=0
    nFile: /etc/zypp/repos.d/repo-oss.repo
    [repo-oss]
    name=Main Repository
    enabled=1
    autorefresh=1
    baseurl=http://download.opensuse.org/distribution/leap/$releasever/repo/oss/
    path=/
    type=rpm-md
    keeppackages=0
    nFile: /etc/zypp/repos.d/repo-update.repo
    [repo-update]
    name=Main Update Repository
    enabled=1
    autorefresh=1
    baseurl=http://download.opensuse.org/update/leap/$releasever/oss
    path=/
    type=rpm-md
    keeppackages=0
    nFile: /etc/zypp/repos.d/repo-update-non-oss.repo
    [repo-update-non-oss]
    name=Update Repository (Non-Oss)
    enabled=1
    autorefresh=1
    baseurl=http://download.opensuse.org/update/leap/$releasever/non-oss/
    path=/
    type=rpm-md
    keeppackages=0
    
    
    Code:
    jedaa (su #) zypper --releasever=15.3 dup --download-in-advance
    Warning: Enforced setting: $releasever=15.3
    Loading repository data...
    Reading installed packages...
    Warning: You are about to do a distribution upgrade with all enabled repositories. Make sure these repositories are compatible before you continue. See 'man zypper' for more information about this command.
    Computing distribution upgrade...
    
    285 Problems:
    Problem: problem with installed package Cadence-0.9.1-lp152.5.1.x86_64
    Problem: problem with installed package MozillaFirefox-89.0-lp152.1.1.x86_64
    Problem: problem with installed package MozillaFirefox-branding-openSUSE-68-lp152.8.1.x86_64
    Problem: problem with installed package MozillaFirefox-translations-common-89.0-lp152.1.1.x86_64
    .
    .
    .
    
    Problem: problem with installed package Cadence-0.9.1-lp152.5.1.x86_64
     Solution 1: install Cadence-0.9.1-bp153.1.1.x86_64 (with vendor change)
      obs://build.opensuse.org/multimedia  -->  openSUSE
     Solution 2: keep obsolete Cadence-0.9.1-lp152.5.1.x86_64
    
    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c/d/?] (c): 
    
    openSUSE Leap 15.2 | KDE Plasma 5.18.6 | Frameworks 5.71.0 | Qt 5.12.7 | Kernel 5.3.18-lp152.78-default | Procs 4 x i5-2500 CPU @ 3.3.GHz | 15.6 GiB RAM | 4 Monitors

  4. #4
    Join Date
    Oct 2013
    Location
    Luxembourg
    Posts
    34

    Default Re: Upgrade LEAP 15.2 to 15.3

    Quote Originally Posted by griadooss View Post
    You did not mention whether or not you were presented with a list of conflicts that needed to be manually addressed? I get a list of 285 of them!!?? I must have done something wrong but am unable to determine it.

    Any suggestion would be more than welcomed!

    You are right!.. I forgot to mention that. The thing is, I only got one "problem":
    Code:
    [zypp::solver] SATResolver.cc(problems):1693 Problem 1:
    [zypp::solver] SATResolver.cc(problems):1694 ====================================
    [zypp::solver] SATResolver.cc(problems):1698 problem with installed package wavemon-0.9.2-lp152.44.2.x86_64
    [zypp::solver] SATResolver.cc(problems):1699 ------------------------------------
    So, I selected to get/keep the most recent package and continued.

    In your case, you have 285 conflicts.. that's a lot that to me means that maybe you have lots of packages installed from non opensuse repos.. packages that could have (maybe) been installed directly from opensuse repos..
    So I guess now you have to resolve the conflicts by choosing what's best for you.. keep what you have.. or allow for the replace..

  5. #5
    Join Date
    Oct 2013
    Location
    Luxembourg
    Posts
    34

    Default Re: Upgrade LEAP 15.2 to 15.3

    Aditional info: a way to try to reduce the number of conflits:

    Code:
    # zypper --releasever=15.3 dup --download-in-advance --allow-vendor-change
    more details: https://en.opensuse.org/SDB:Vendor_change_update

  6. #6
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,117

    Default AW: Upgrade LEAP 15.2 to 15.3

    added --allow-vendor-change in first post.

  7. #7
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    23,105
    Blog Entries
    1

    Default Re: Upgrade LEAP 15.2 to 15.3

    Closing this thread. If you have questions or require help, please start your own thread in the appropriate sub-forum, with a descriptive title to help get the assistance you require. You may of course reference other threads as part of your discussion.
    openSUSE Leap 15.2; KDE Plasma 5

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •